%global svn_version 201103
%global namedreltag -SNAPSHOT
%global namedversion %{svn_version}%{?namedreltag}
Name:          rngom
Version:       0.2
Release:       %mkrel 0.%{svn_version}.1
Summary:       Java library for parsing RELAX NG grammars
Group:         Development/Java
License:       BSD, MIT
URL:           https://rngom.dev.java.net/
# svn export https://svn.java.net/svn/rngom~svn/trunk/rngom rngom
# tar czf rngom-201103-SNAPSHOT-src-svn.tar.gz rngom
Source0:       rngom-%{namedversion}-src-svn.tar.gz
Source1:       rngom-201103-SNAPSHOT-depmap
BuildRequires: bsf
BuildRequires: bsh2
BuildRequires: glassfish-stax-api
BuildRequires: javacc
BuildRequires: javacc-maven-plugin
BuildRequires: jpackage-utils
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: msv-xsdlib
BuildRequires: relaxngDatatype
BuildRequires: sonatype-oss-parent
BuildRequires: xmlunit

Requires:      glassfish-stax-api
Requires:      jpackage-utils
Requires:      msv-xsdlib
Requires:      relaxngDatatype
BuildArch:     noarch

%description
RNGOM is an open-source Java library for parsing RELAX NG grammars.

In particular, RNGOM can:
* parse the XML syntax
* parse the compact syntax
* check all the semantic restrictions as specified in the specification
* parse RELAX NG into application-defined data structures
* build a default data structure based around the binarized simple syntax or
  another data structure that preserves more of the parsed information
* parse foreign elements/attributes in a schema
* parse comments in a schema

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
RNGOM is an open-source Java library for parsing RELAX NG grammars.

This package contains javadoc for %{name}.

%prep
%setup -q -n rngom
chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done
# need for maven-antrun-plugin
# Applying licence header on javacc generated source
cd rngom
mv lib/lic.jar.no lib/lic.jar
rm -rf src/org/kohsuke/rngom/parse/compact/CompactSyntax.java

%build
cd rngom
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

cd rngom
mkdir -p %{buildroot}%{_javadir}
install -m 644 target/rngom-%{namedversion}.jar \
  %{buildroot}%{_javadir}/rngom-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install pom.xml %{buildroot}%{_mavenpomdir}/JPP-rngom.pom
%add_to_maven_depmap org.kohsuke.rngom rngom %{namedversion} JPP rngom

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/rngom-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/rngom-%{version}
ln -sf rngom-%{version} %{buildroot}%{_javadocdir}/rngom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/rngom-%{version}.jar
%{_javadir}/rngom.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc www/doc/LICENSE.txt

%files javadoc
%{_javadocdir}/rngom-%{version}
%{_javadocdir}/rngom


%changelog

* Thu Oct 27 2011 gil <gil> 0.2-0.201103.1.mga2
+ Revision: 158515
- rebuilt with mvn3, fix BR stax api
- update to 201103-SNAPSHOT
- imported package rngom

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Clean spec file


* Tue Jul 05 2011 gil <gil> 20061207-0.%%mkrel
- initial rpm